Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3464 - BUG in libg++-2.7.2 compatability library
Summary: BUG in libg++-2.7.2 compatability library
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libstdc++
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 19:13 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-15 04:18:36 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-06-14 19:13:47 UTC
Hi

I have a program I build on a Redhat5/glibc2.0/g++-2.7.2
combination. This program is written in c++. It worked fine
on RH5.2

On RH6.0 it is completely broken. The fread() in the
compatibility library looks hosed.

If I do ltrace and strace I see

1) Old binary calls fread().
2) fread() is entered in, I believe, the libg++
compatability library
3) The stupid library calls the write() system call!!

You are welcome to the binary that causes this. It is a BBC
emulator.

To reproduce I would try a simple program that uses c++ and
calls fread(), build it on RH5/glibc2.0/g++-2.7.2, and see
if the binary works on RH6.0.

Sadly I have no access to such a machine. If anyone reads
this and has such a machine, and wants to help, mail me.

Chris

Comment 1 Jay Turner 1999-06-30 13:57:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Cristian Gafton 1999-07-28 07:33:59 UTC
is this true with the latest glibc from rawhide (2.1.2-1 or later)

Comment 3 Cristian Gafton 2000-05-22 14:53:59 UTC
assign to jakub

Comment 4 Alan Cox 2002-12-15 04:18:36 UTC
No responses


Note You need to log in before you can comment on or make changes to this bug.